summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_pbuilder.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-03-02 19:42:53 +0100
committerHolger Levsen <holger@layer-acht.org>2015-03-02 19:42:53 +0100
commit752b49dfdf276c3ac0e644a27113e67e7ae43608 (patch)
treec664fba66cfcb8020d0b43bd5b0ef057b61a3762 /bin/reproducible_setup_pbuilder.sh
parent65f9b8e13eebe90a2697248cac76836566b6c3b1 (diff)
downloadjenkins.debian.net-752b49dfdf276c3ac0e644a27113e67e7ae43608.tar.xz
fixup 5b9bbfbb
Diffstat (limited to 'bin/reproducible_setup_pbuilder.sh')
-rwxr-xr-xbin/reproducible_setup_pbuilder.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index dd659732..5e952740 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -116,7 +116,7 @@ update_pbuilder() {
#
BASETGZ=/var/cache/pbuilder/$SUITE-reproducible-base.tgz
STAMP=/var/log/jenkins/$SUITE-reproducible-base.tgz.stamp
-OLDSTAMP=$(find $STAMP -mtime +1 -exec ls -lad {} \;)
+OLDSTAMP=$(find $STAMP -mtime +1 -exec ls -lad {} \; || echo "nostamp")
if [ -n "$OLDSTAMP" ] || [ ! -f $BASETGZ ] || [ ! -f $STAMP ] ; then
if [ ! -f $BASETGZ ] ; then
echo "No $BASETGZ exists, creating a new one..."